Skip to content

Get file list for auditing uploads

Request

Allows the application to audit the attempted file uploads. The method is internal and isn't available for third-party applications.

Security
bearer
Headers
data-partition-idstringrequired

desired data partition id.

Example:slb-osdu-prod-des-prod-testing
Bodyapplication/json
TimeFromstring, (date-time)(DateTime)
TimeTostring, (date-time)(DateTime)
PageNuminteger
Itemsinteger
UserIDstring
curl -i -X POST \
  https://as5.api.enterprisedata.slb.com/api/file/v2/getFileList \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'data-partition-id: slb-osdu-prod-des-prod-testing' \
  -d '{
    "TimeFrom": "2019-08-24T14:15:22Z",
    "TimeTo": "2019-08-24T14:15:22Z",
    "PageNum": 0,
    "Items": 0,
    "UserID": "string"
  }'

Responses

File list page

Bodyapplication/json
contentArray of objects(FileLocation)
numberinteger
numberOfElementsinteger
sizeinteger
Response
{ "content": [ { … } ], "number": 0, "numberOfElements": 0, "size": 0 }